<?php
/**
* @version $Id: $
* @package osm-things
* @copyright Copyright (C) 2008 Sebastian Klemm.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

define( '_VALID_OSM', TRUE );
define( '_PATH', '../' );
$DEBUG = FALSE;
if($DEBUG) error_reporting(E_ALL);

include("../config.inc.php");
include("../libraries/functions.inc.php");
include("../libraries/html.classes.php");

setlocale (LC_TIME, $cfg['config_locale']);
include("../languages/".get_lang($cfg['config_language']).".php");
include("../head.html.php");

HTML::heading(_INST_OSM_SETUP._INST_WELCOME, 3);
HTML::message(_INST_GUIDED);
HTML::message(_INST_MAN_INTRO);
?>

<ol start="1" type="1">
  <li id="current"><?php echo _INST_DB_ACCOUNT; ?></li>
  
  <?php HTML::message(_INST_MAN_LOGIN); ?>

  <form action="install_db.php" method="post" name="db_install1">
    <input type="Text" name="db_host" value="<?= $cfg['db_host'] ?>" size="" maxlength=""> <?php echo _INST_DB_HOST; ?><br>
    <input type="Text" name="db_user" value="root" size="" maxlength=""> <?php echo _INST_DB_USER; ?><br>
    <input type="Password" name="db_pw" value="" size="" maxlength=""> <?php echo _INST_DB_PASSWORD; ?><br>
    <a href="Javascript:db_install1.submit();"><img src='images/next_32.png' border=0> <?php echo _CMN_CONTINUE; ?></a>
  </form>

  <li><?php echo _INST_DB_CREATE_SETUP; ?></li>
  <li><?php echo _INST_DONE; ?></li>
</ol>

<?php
include("../foot.html.php");
?>