<?php
/**
* @version $Id: $
* @package osm-things
* @copyright Copyright (C) 2008 Sebastian Klemm.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

// no direct access
defined( '_VALID_OSM' ) or die( 'Beschr&auml;nkter Zugang.' );

// Site page note found
define( '_404', 'Die angefragte Seite konnte nicht gefunden werden.' );
define( '_404_RTS', 'Zur&uuml;ck zur Site' );

// common
DEFINE('_APP_NAME','phpMyGPX');
DEFINE('_HTML_TITLE','phpMyGPX ::: Trackpoint-Verwaltung');

DEFINE('_DATE_FORMAT_LC',"%d.%m.%Y"); //Verwendet das PHP strftime Format
DEFINE('_DATE_FORMAT_LC2',"%A, %d. %B %Y %H:%M");
DEFINE('_DATE_FORMAT_LC3',"%d.%m.%Y %H:%M:%S");
DEFINE('_TIME_FORMAT_LC4',"%H:%M:%S h");

DEFINE('_LANGUAGE','de');
DEFINE('_NOT_AUTH','Du bist nicht berechtigt, diesen Bereich zu sehen.');
DEFINE('_DO_LOGIN','Du musst dich anmelden.');
DEFINE('_VALID_AZ09','%s ist nicht zul&auml;ssig. Bitte keine Leerzeichen, mindestens %d Stellen, 0-9,a-z,A-Z sollte enthalten sein.');
DEFINE('_VALID_AZ09_USER',"Bitte ein g&uuml;ltiges %s eingeben. Mehr als %d Zeichen, 0-9,a-z,A-Z k&ouml;nnen enthalten sein");
DEFINE('_CMN_YES','Ja');
DEFINE('_CMN_NO','Nein');
DEFINE('_CMN_SHOW','Anzeigen');
DEFINE('_CMN_HIDE','Verstecken');

DEFINE('_CMN_NAME','Name');
DEFINE('_CMN_DESCRIPTION','Beschreibung');
DEFINE('_CMN_SAVE','Speichern');
DEFINE('_CMN_APPLY','Anwenden');
DEFINE('_CMN_CANCEL','Abbrechen');
DEFINE('_CMN_PRINT','Drucken');
DEFINE('_CMN_PDF','PDF');
DEFINE('_CMN_EMAIL','E-Mail');
DEFINE('_ICON_SEP','|');
DEFINE('_CMN_PARENT','&Uuml;bergeordnetes(r)');
DEFINE('_CMN_ORDERING','Reihenfolge');
DEFINE('_CMN_ACCESS','Zugriffslevel');
DEFINE('_CMN_SELECT','Ausw&auml;hlen');

DEFINE('_CMN_FIRST','Erste');
DEFINE('_CMN_LAST','Letzte');
DEFINE('_CMN_NEXT','Vor');
DEFINE('_CMN_NEXT_ARROW'," &gt;&gt;");
DEFINE('_CMN_PREV','Zur&uuml;ck');
DEFINE('_CMN_PREV_ARROW',"&lt;&lt; ");

DEFINE('_CMN_SORT_NONE','Nicht sortieren');
DEFINE('_CMN_SORT_ASC','Aufsteigend sortieren');
DEFINE('_CMN_SORT_DESC','Absteigend sortieren');

DEFINE('_CMN_NEW','Neu');
DEFINE('_CMN_NONE','Nichts');
DEFINE('_CMN_LEFT','Links');
DEFINE('_CMN_RIGHT','Rechts');
DEFINE('_CMN_CENTER','Mitte');
DEFINE('_CMN_ARCHIVE','Archivieren');
DEFINE('_CMN_UNARCHIVE','Aus Archiv entfernen');
DEFINE('_CMN_TOP','Oben');
DEFINE('_CMN_BOTTOM','Unten');

DEFINE('_CMN_PUBLISHED','Ver&ouml;ffentlicht');
DEFINE('_CMN_UNPUBLISHED','Unver&ouml;ffentlicht');

DEFINE('_CMN_EDIT_HTML','HTML bearbeiten');
DEFINE('_CMN_EDIT_CSS','CSS bearbeiten');

DEFINE('_CMN_DELETE','L&ouml;schen');

DEFINE('_CMN_FOLDER','Verzeichnis');
DEFINE('_CMN_SUBFOLDER','Unterverzeichnis');
DEFINE('_CMN_OPTIONAL','Optional');
DEFINE('_CMN_REQUIRED','Pflichtfeld');


DEFINE('_CMN_SCRIPT_EXEC_TIME','Seite generiert in ');

DEFINE('_CMN_NOT_IMPLEMENTED','Diese Funktion ist noch nicht implementiert.');
DEFINE('_CMN_CONTINUE','Weiter');
DEFINE('_CMN_WARNING','Warnung!');
DEFINE('_CMN_PAGE','Seite');

DEFINE('_CMN_RANGE','Bereich');
DEFINE('_CMN_INSERTED','eingef&uuml;gt');
DEFINE('_CMN_PUBLIC','&ouml;ffentlich');
DEFINE('_CMN_VISIBLE','sichtbar');
DEFINE('_CMN_USER_ID','Benutzer-ID');
DEFINE('_CMN_GPX_ID','GPX-ID');
DEFINE('_CMN_FILE_NAME','Dateiname');
DEFINE('_CMN_FILE_SIZE','Dateigr&ouml;&szlig;e');
DEFINE('_CMN_DATE','Datum');
DEFINE('_CMN_LAT','Breite');
DEFINE('_CMN_LON','L&auml;nge');
DEFINE('_CMN_ALT','H&ouml;he');
DEFINE('_CMN_COURSE','Kurs');
DEFINE('_CMN_SPEED','Geschw.');
DEFINE('_CMN_FIX','Sat-Fix');
DEFINE('_CMN_SAT','Satelliten');
DEFINE('_CMN_HDOP','HDOP');
DEFINE('_CMN_PDOP','PDOP');


/** installation */
DEFINE('_INST_OSM_SETUP','phpMyAdmin-Setup: ');
DEFINE('_INST_WELCOME','Willkommen');
DEFINE('_INST_DB_INST','Datenbank-Installation');
DEFINE('_INST_DONE','Installation beendet');
DEFINE('_INST_GUIDED','Sie werden nun durch die einzelnen Schritte der Installation geleitet. Folgen Sie dazu einfach den gegebenen Anweisungen.');
DEFINE('_INST_MAN_INTRO','<b>HINWEIS: </b><span style="color:red">Wenn Sie die Konfigurationsdatei <i>"config.inc.php"</i> noch nicht angepasst haben, dann sollten Sie dies tun, bevor sie fortfahren!</span><br>
&Ouml;ffnen sie dazu die oben genannte Datei in einem Texteditor (z.B. Notepad), bearbeiten die notwendigen Variablen, speichern dann die Konfigurationsdatei und laden anschlie&szlig;end <i>diese</i> Seite in Ihrem Browser neu (mit Taste [F5] oder dem Button "Aktualisieren" bzw. "Neu laden").');
DEFINE('_INST_MAN_LOGIN','Geben Sie nun die Login-Daten des Datenbank-Admin (Root) ein.<br>
<b>HINWEIS: </b><span style="color:red">Dieser Nutzer muss ausreichend Rechte besitzen, um Datenbanken und Tabellen erstellen zu k&ouml;nnen!</span><br>
F&uuml;r die sp&auml;tere Nutzung gen&uuml;gt aus Sicherheitsgr&uuml;nden ein Nutzer mit stark eingeschr&auml;nkten Rechten. Dessen Zugangsdaten werden in der Konfigurationsdatei <i>"config.inc.php"</i> verwaltet.');
DEFINE('_INST_DB_ACCOUNT','Zugangsdaten f&uuml;r MySQL-Datenbank ');
DEFINE('_INST_DB_HOST','Hostname');
DEFINE('_INST_DB_USER','Benutzername');
DEFINE('_INST_DB_PASSWORD','Passwort');
DEFINE('_INST_DB_CREATE_SETUP','Datenbank erstellen und einrichten ');
DEFINE('_INST_PROG_INST','Die MySQL-Datenbank einschlie&szlig;lich aller notwendigen Tabellen wird nun angelegt...');
DEFINE('_INST_DB_CONN_ERROR','Verbindung zum Datenbank-Server fehlgeschlagen. ');
DEFINE('_INST_PROG_DB','Datenbank wurde erfolgreich angelegt.');
DEFINE('_INST_PROG_DONE','<b>GL&Uuml;CKWUNSCH!</b> Sie haben Ihre Anwendung erfolgreich installiert!');
DEFINE('_INST_PROG_TEST','Der abschlie&szlig;ende Test wurde erfolgreich durchgef&uuml;hrt.');
DEFINE('_INST_ERROR','Es sind Fehler aufgetreten. Beheben Sie die Ursache und versuchen Sie dann erneut dieses Script aufzurufen!');
DEFINE('_INST_DB_ERROR','Ung&uuml;ltige Abfrage: ');
DEFINE('_INST_DB_STAT','Statistik f&uuml;r Datenbank ');

/** html.classes.php */
DEFINE('_MENU_GPX','GPX-Datei');
DEFINE('_MENU_GPX_VIEW','GPX ansehen');
DEFINE('_MENU_TRKPT_VIEW','Wegpunkte ansehen');
DEFINE('_MENU_GPX_DETAILS','GPX Details');
DEFINE('_MENU_GPX_IMAGE','Bild');
DEFINE('_MENU_GPX_UPL','GPX hochladen');
DEFINE('_MENU_GPX_IMPORT','GPX importieren');
DEFINE('_MENU_GPX_EXPORT','GPX exportieren');
DEFINE('_MENU_GPX_DOWNL','GPX herunterladen');
DEFINE('_MENU_GPX_DELETE','GPX l&ouml;schen');
DEFINE('_MENU_GPX_SEARCH','GPX suchen');
DEFINE('_MENU_TRKPT_SEARCH','Wegpunkte suchen');

DEFINE('_MENU_HOME','Startseite');
DEFINE('_MENU_ABOUT','&Uuml;ber...');
DEFINE('_MENU_MAP','Karte');
DEFINE('_MENU_MISC','Extra');
DEFINE('_MENU_DB','Datenbank');
DEFINE('_MENU_DB_STAT','Statistik');
DEFINE('_MENU_LOGIN','LOGIN');
DEFINE('_MENU_LOGOUT','LOGOUT');

/** index.php */
DEFINE('_HOME_WELCOME_TO','Willkommen bei ');
DEFINE('_HOME_INTRO','To do: Intro');
DEFINE('_LOGIN_FAILED','Login fehlgeschlagen. Das Passwort ist falsch.');
DEFINE('_LOGIN_SUCCESS','Du hast dich erfolgreich angemeldet');
DEFINE('_LOGOUT_SUCCESS','Du hast dich erfolgreich abgemeldet');
DEFINE('_LOGIN_DESCRIPTION','Bitte anmelden, um auf den administrativen Bereich der Website zuzugreifen.');

/** traces.php */
DEFINE('_TRC_NO_TRKPTS_IN_DB','Keine Wegpunkte in Datenbank vorhanden.');
DEFINE('_TRC_GPX_DOES_NOT_EXIST','Diese GPX-Datei existiert nicht!');
DEFINE('_TRC_DETAILS_OF_GPX','Statistische Details f&uuml;r GPX-Datei Nr. ');
DEFINE('_TRC_APPROX_DIST', 'Wegl&auml;nge ca.');
DEFINE('_TRC_TRIP_TIME', 'Gesamtfahrzeit');
DEFINE('_TRC_AVG_SPEED', 'Durchschnittsgeschwindigkeit');
DEFINE('_TRC_TRACK', 'Abschnitt ');
DEFINE('_TRC_HALT', 'Pause: ');
DEFINE('_TRC_SHOW_MAP','Karte anzeigen');
DEFINE('_TRC_SHOW_OSM_MAP','OSM-Karte anzeigen');
DEFINE('_TRC_USE_DP_FOR_SEARCH','Bitte benutzen Sie einen Punkt als Dezimaltrennzeichen.');
DEFINE('_TRC_CHOOSE_SEARCH_FILTER','W&auml;hlen Sie passende Such-Filter aus: ');
DEFINE('_TRC_CHOOSE_UPL_FILE','W&auml;hlen Sie eine Datei zum hochladen aus: ');
DEFINE('_TRC_UPL_ERROR','Fehler beim hochladen: ');
DEFINE('_TRC_UPL_SUCCESS','Datei wurde erfolgreich hochgeladen: ');
DEFINE('_TRC_FILE_ERROR','Datei konnte nicht ge&ouml;ffnet werden!');
DEFINE('_TRC_TRKPTS_PROCESSED',' Wegpunkte wurden verarbeitet.');
DEFINE('_TRC_REALLY_DELETE','Soll die angegebene GPX-Datei <br />einschlie&szlig;lich aller darin enthaltenen Wegpunkte<br />UNWIEDERBRINGLICH VERNICHTET werden?');
DEFINE('_TRC_CONFIRM_DELETE','Zum endg&uuml;ltigen L&ouml;schen tippen Sie unten bitte "Ja" ein.');
DEFINE('_TRC_NO_CONFIRM_DELETE','Sie haben das L&ouml;schen abgebrochen.');
DEFINE('_TRC_TRKPT_DELETED','%1% Wegpunkte wurden gel&ouml;scht.');
DEFINE('_TRC_GPX_DELETED','%1% GPX-Datei wurde gel&ouml;scht.');
DEFINE('_TRC_EXPORT_AS_GPX','als GPX-Datei exportieren');

/** traces.html.php */

/** database.php */
DEFINE('_TRC_NO_GPX_IN_DB','Keine GPX-Dateien in Datenbank vorhanden.');
DEFINE('_DB_GPX_AVAILABLE',' GPX-Dateien vorhanden.');
DEFINE('_DB_TRKPTS_AVAILABLE',' Wegpunkte vorhanden.');
DEFINE('_DB_DAYS_AVAILABLE',' Tage sind vorhanden.');

/** about.php */
DEFINE('_ABOUT_CREDITS','Danksagungen');
DEFINE('_ABOUT_LICENSE','Lizenz');
DEFINE('_UPDATE_CHECK_DISABLED','Die Suche nach Programm-Updates wurde deaktiviert.');
DEFINE('_UPDATE_AVAIL','Die folgende Programm-Aktualisierung ist verf&uuml;gbar: ');
DEFINE('_NO_UPDATE_AVAIL','Es ist keine Programm-Aktualisierung verf&uuml;gbar.');
DEFINE('_UPDATE_SERVER_ERROR404','Der Update-Server antwortete mit Fehler 404 (Dokument nicht gefunden).');
DEFINE('_UPDATE_SERVER_CONN_ERROR','Verbindung zum Update-Server fehlgeschlagen.');

/** map.php */
DEFINE('_MAP_AREA_TRKPT','alle Wegpunkte der Karte anzeigen');
DEFINE('_MAP_JOSM_EDIT','mit JOSM editieren');

// DO NOT edit anything below this line!
include(_PATH ."version.inc.php");
?>