<?php
/**
* @version $Id: $
* @package osm-things
* @copyright Copyright (C) 2008 Sebastian Klemm.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

define( '_VALID_OSM', TRUE );
define( '_PATH', './' );
$DEBUG = FALSE;
if($DEBUG) error_reporting(E_ALL);

session_start();

include("./config.inc.php");
include("./libraries/functions.inc.php");
include("./libraries/classes.php");
include("./libraries/html.classes.php");
include("./database.html.php");

setlocale (LC_TIME, $cfg['config_locale']);
include("./languages/".get_lang($cfg['config_language']).".php");
include("./head.html.php");

if($cfg['show_exec_time'])
    $startTime = microtime_float();

if($DEBUG) {
    foreach($_POST as $akey => $val)
        out("<b>$akey</b> = $val", "OUT_DEBUG");
}

$p = intval($_GET['p']);
$id = intval($_GET['id']);
if($_POST['id'])
	$id = intval($_POST['id']);
$task = strip_tags($_GET['task']);
$submit = strip_tags($_POST['submit']);

// connect to database
$link = db_connect_h($cfg['db_host'], $cfg['db_name'], $cfg['db_user'], $cfg['db_password']);

HTML::heading(_APP_NAME, 2);
HTML::main_menu();

switch ($task) {
	case 'stats':
		statsDB();
		break;

	default:
        statsDB( NULL );
		break;
}


function statsDB() {
	global $DEBUG, $cfg;
    HTML::heading(_MENU_DB_STAT, 3);

    $query = "SELECT COUNT(*) AS 'num' FROM `${cfg['db_table_prefix']}gpx_files` ;";
    $result = db_query($query);
    $num['files'] = mysql_result($result, 0);
    HTML::message($num['files'] ._DB_GPX_AVAILABLE);

    $query = "SELECT COUNT(*) AS 'num' FROM `${cfg['db_table_prefix']}gpx_import` ;";
    $result = db_query($query);
    $num['points'] = mysql_result($result, 0);
    HTML::message($num['points'] ._DB_TRKPTS_AVAILABLE);

    $query = "SELECT COUNT(DISTINCT date(`timestamp`)) AS 'num' 
    			FROM `${cfg['db_table_prefix']}gpx_import` ;";
    $result = db_query($query);
    $num['dates'] = mysql_result($result, 0);
    HTML::message($num['dates'] ._DB_DAYS_AVAILABLE);
}

if($cfg['show_exec_time']) {
    $endTime = microtime_float();
    $exectime = round($endTime - $startTime, 4);
}
include("./foot.html.php");
?>